%set_verify_elf_method unresolved=relaxed
Name: volk
Version: 1.3
Release: alt0.M80P.1
Summary: Vector-Optimized Library of Kernels
License: GPLv3
Group: Development/C++
Url: http://libvolk.org/

Source: %name-%version.tar

%description
VOLK:
- is the Vector-Optimized Library of Kernels;
- is a free library, currently offered under the GPLv3 license;
- provides an abstraction of optimized math routines targetting several SIMD processors.

%package -n lib%{name}
Group: Development/C++
Summary: Vector-Optimized Library of Kernels
BuildRequires: gcc-c++ cmake liborc-devel python-module-cheetah
BuildRequires: boost-filesystem-devel boost-program_options-devel boost-signals-devel boost-math-devel
BuildRequires: boost-mpi-devel boost-intrusive-devel boost-wave-devel boost-graph-parallel-devel

%description -n lib%{name}
VOLK:
- is the Vector-Optimized Library of Kernels;
- is a free library, currently offered under the GPLv3 license;
- provides an abstraction of optimized math routines targetting several SIMD processors.

%package -n lib%{name}-devel
Summary: Vector-Optimized Library of Kernels
Group: Development/C++
Requires: lib%{name} = %version-%release

%description -n lib%{name}-devel
VOLK:
- is the Vector-Optimized Library of Kernels;
- is a free library, currently offered under the GPLv3 license;
- provides an abstraction of optimized math routines targetting several SIMD processors.

%package -n python-module-%name
Summary: The Python bindings for VOLK
Group: Development/Python
Requires: lib%name = %version

%description -n python-module-%name
Python module for VOLK.

%prep
%setup

%build
%cmake
%cmake_build

%install
%cmakeinstall_std

#mkdir -p %buildroot%_datadir/%name
#mv %buildroot/usr/lib/cmake %buildroot%_datadir/%name


%files
%_bindir/*
%doc

%files -n lib%{name}
%_libdir/lib%{name}.so.*

%files -n lib%{name}-devel
%_includedir/*
%_libdir/*.so
%_pkgconfigdir/*
%_libdir/cmake/%name

%files -n python-module-%name
%python_sitelibdir/*

%changelog
* Tue Aug 15 2017 Anton Midyukov <antohami@altlinux.org> 1.3-alt0.M80P.1
- Backport for ALT p8

* Fri Aug 11 2017 Anton Midyukov <antohami@altlinux.org> 1.3-alt1
- New version 1.3

* Tue Mar 25 2016 Dmitry Derjavin <dd@altlinux.org> 1.2.1-alt1
- Initial ALT Linux build.
